import { ProviderSourceTypeEnum } from "#ie/vehicle-positions/workers/vehicle-positions/helpers/ProviderSourceTypeEnum";
import { IPublicStopTimeDto } from "#sch/vehicle-positions/models/views/interfaces/IPublicStopTimeDto";
import { IPublicStopTimeCacheDto } from "#sch/vehicle-positions/redis/interfaces/IPublicStopTimeCacheDto";

export function getPublicStopTimeCacheFixture(
    today: string
): Array<
    IPublicStopTimeCacheDto &
        Pick<
            IPublicStopTimeDto,
            | "rt_trip_id"
            | "gtfs_route_type"
            | "gtfs_route_short_name"
            | "run_number"
            | "internal_run_number"
            | "provider_source_type"
            | "cis_trip_number"
            | "vehicle_registration_number"
        >
> {
    return [
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 2,
            arr_delay: -20,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U474Z4P",
            cis_stop_platform_code: null,
            platform_code: "D",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 3,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U603Z3P",
            cis_stop_platform_code: null,
            platform_code: "C",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 4,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U665Z2P",
            cis_stop_platform_code: null,
            platform_code: "B",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 5,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U332Z2P",
            cis_stop_platform_code: null,
            platform_code: "B",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 6,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U467Z2P",
            cis_stop_platform_code: null,
            platform_code: "B",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 7,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U740Z3P",
            cis_stop_platform_code: null,
            platform_code: "C",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 8,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U78Z3P",
            cis_stop_platform_code: null,
            platform_code: "C",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 9,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U675Z3P",
            cis_stop_platform_code: null,
            platform_code: "C",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 10,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U267Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 11,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U543Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 12,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U544Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 13,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U581Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 14,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U806Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 15,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U330Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 16,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U74Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 17,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U949Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_37_201230",
            sequence: 18,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 37,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 95,
            vehicle_registration_number: 8582,
            stop_id: "U949Z2P",
            cis_stop_platform_code: null,
            platform_code: "B",
        },
        {
            rt_trip_id: "2019-05-26T09:13:00Z_XX_152_60_201230",
            sequence: 2,
            arr_delay: null,
            dep_delay: 60,
            gtfs_route_type: 3,
            gtfs_route_short_name: "152",
            run_number: 60,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: 95,
            vehicle_registration_number: 8581,
            stop_id: "U474Z4P",
            cis_stop_platform_code: null,
            platform_code: "D",
        },
        {
            rt_trip_id: "2021-07-26T08:30:00Z_100115_115_1061_V1",
            sequence: 3,
            arr_delay: 0,
            dep_delay: 88,
            gtfs_route_type: 3,
            gtfs_route_short_name: "115",
            run_number: 39,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: 1061,
            vehicle_registration_number: 1861,
            stop_id: "U1341Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2021-07-26T08:30:00Z_100115_115_1061_V1",
            sequence: 4,
            arr_delay: 94,
            dep_delay: 94,
            gtfs_route_type: 3,
            gtfs_route_short_name: "115",
            run_number: 39,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: 1061,
            vehicle_registration_number: 1861,
            stop_id: "U1132Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2021-07-26T08:30:00Z_100115_115_1061_V1",
            sequence: 5,
            arr_delay: 94,
            dep_delay: 94,
            gtfs_route_type: 3,
            gtfs_route_short_name: "115",
            run_number: 39,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: 1061,
            vehicle_registration_number: 1861,
            stop_id: "U1334Z2P",
            cis_stop_platform_code: null,
            platform_code: "B",
        },
        {
            rt_trip_id: "2021-07-26T08:30:00Z_100115_115_1061_V1",
            sequence: 6,
            arr_delay: 94,
            dep_delay: 94,
            gtfs_route_type: 3,
            gtfs_route_short_name: "115",
            run_number: 39,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: 1061,
            vehicle_registration_number: 1861,
            stop_id: "U181Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2021-07-26T08:30:00Z_100115_115_1061_V1",
            sequence: 7,
            arr_delay: 94,
            dep_delay: 94,
            gtfs_route_type: 3,
            gtfs_route_short_name: "115",
            run_number: 39,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: 1061,
            vehicle_registration_number: 1861,
            stop_id: "U1131Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2021-07-26T08:30:00Z_100115_115_1061_V1",
            sequence: 8,
            arr_delay: 94,
            dep_delay: 94,
            gtfs_route_type: 3,
            gtfs_route_short_name: "115",
            run_number: 39,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: 1061,
            vehicle_registration_number: 1861,
            stop_id: "U52Z2P",
            cis_stop_platform_code: null,
            platform_code: "B",
        },
        {
            rt_trip_id: "2021-07-26T08:30:00Z_100115_115_1061_V2",
            sequence: 4,
            arr_delay: 0,
            dep_delay: 101,
            gtfs_route_type: 3,
            gtfs_route_short_name: "115",
            run_number: 39,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: 1061,
            vehicle_registration_number: 1861,
            stop_id: "U1132Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2021-07-26T08:30:00Z_100115_115_1061_V2",
            sequence: 5,
            arr_delay: 101,
            dep_delay: 101,
            gtfs_route_type: 3,
            gtfs_route_short_name: "115",
            run_number: 39,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: 1061,
            vehicle_registration_number: 1861,
            stop_id: "U1334Z2P",
            cis_stop_platform_code: null,
            platform_code: "B",
        },
        {
            rt_trip_id: "2021-07-26T08:30:00Z_100115_115_1061_V2",
            sequence: 6,
            arr_delay: 101,
            dep_delay: 101,
            gtfs_route_type: 3,
            gtfs_route_short_name: "115",
            run_number: 39,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: 1061,
            vehicle_registration_number: 1861,
            stop_id: "U181Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2021-07-26T08:30:00Z_100115_115_1061_V2",
            sequence: 7,
            arr_delay: 101,
            dep_delay: 101,
            gtfs_route_type: 3,
            gtfs_route_short_name: "115",
            run_number: 39,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: 1061,
            vehicle_registration_number: 1861,
            stop_id: "U1131Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: "2021-07-26T08:30:00Z_100115_115_1061_V2",
            sequence: 8,
            arr_delay: 101,
            dep_delay: 101,
            gtfs_route_type: 3,
            gtfs_route_short_name: "115",
            run_number: 39,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: 1061,
            vehicle_registration_number: 1861,
            stop_id: "U52Z2P",
            cis_stop_platform_code: null,
            platform_code: "B",
        },
        {
            rt_trip_id: "2023-03-21T01:30:00+01:00_94_979_230320_8388",
            sequence: 8,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 0,
            gtfs_route_short_name: "94",
            run_number: 65,
            internal_run_number: 65,
            provider_source_type: ProviderSourceTypeEnum.Unknown,
            cis_trip_number: null,
            vehicle_registration_number: 8388,
            stop_id: "U873Z1P",
            cis_stop_platform_code: null,
            platform_code: "A",
        },
        {
            rt_trip_id: `${today}T10:04:35+02:00_991_294_220901_9_9`,
            sequence: 9,
            arr_delay: 0,
            dep_delay: 0,
            gtfs_route_type: 1,
            gtfs_route_short_name: "A",
            run_number: 9,
            internal_run_number: 9,
            provider_source_type: ProviderSourceTypeEnum.TcpMetro,
            cis_trip_number: null,
            vehicle_registration_number: null,
            stop_id: "U1072Z101P",
            cis_stop_platform_code: null,
            platform_code: null,
        },
        {
            rt_trip_id: `${today}T10:04:35+02:00_991_294_220901_9_9`,
            sequence: 10,
            arr_delay: -13,
            dep_delay: -13,
            gtfs_route_type: 1,
            gtfs_route_short_name: "A",
            run_number: 9,
            internal_run_number: 9,
            provider_source_type: ProviderSourceTypeEnum.TcpMetro,
            cis_trip_number: null,
            vehicle_registration_number: null,
            stop_id: "U400Z101P",
            cis_stop_platform_code: null,
            platform_code: "A1",
        },
        {
            rt_trip_id: `${today}T10:04:35+02:00_991_294_220901_9_9`,
            sequence: 11,
            arr_delay: -13,
            dep_delay: -13,
            gtfs_route_type: 1,
            gtfs_route_short_name: "A",
            run_number: 9,
            internal_run_number: 9,
            provider_source_type: ProviderSourceTypeEnum.TcpMetro,
            cis_trip_number: null,
            vehicle_registration_number: null,
            stop_id: "U476Z101P",
            cis_stop_platform_code: null,
            platform_code: "1",
        },
        {
            rt_trip_id: `${today}T10:04:35+02:00_991_294_220901_9_9`,
            sequence: 12,
            arr_delay: -13,
            dep_delay: -13,
            gtfs_route_type: 1,
            gtfs_route_short_name: "A",
            run_number: 9,
            internal_run_number: 9,
            provider_source_type: ProviderSourceTypeEnum.TcpMetro,
            cis_trip_number: null,
            vehicle_registration_number: null,
            stop_id: "U209Z101P",
            cis_stop_platform_code: null,
            platform_code: "1",
        },
        {
            rt_trip_id: `${today}T10:04:35+02:00_991_294_220901_9_9`,
            sequence: 13,
            arr_delay: -13,
            dep_delay: -13,
            gtfs_route_type: 1,
            gtfs_route_short_name: "A",
            run_number: 9,
            internal_run_number: 9,
            provider_source_type: ProviderSourceTypeEnum.TcpMetro,
            cis_trip_number: null,
            vehicle_registration_number: null,
            stop_id: "U118Z101P",
            cis_stop_platform_code: null,
            platform_code: null,
        },
        {
            rt_trip_id: `${today}T10:04:35+02:00_991_294_220901_9_9`,
            sequence: 14,
            arr_delay: -13,
            dep_delay: -13,
            gtfs_route_type: 1,
            gtfs_route_short_name: "A",
            run_number: 9,
            internal_run_number: 9,
            provider_source_type: ProviderSourceTypeEnum.TcpMetro,
            cis_trip_number: null,
            vehicle_registration_number: null,
            stop_id: "U921Z101P",
            cis_stop_platform_code: null,
            platform_code: null,
        },
        {
            rt_trip_id: `${today}T10:04:35+02:00_991_294_220901_9_9`,
            sequence: 15,
            arr_delay: -13,
            dep_delay: -13,
            gtfs_route_type: 1,
            gtfs_route_short_name: "A",
            run_number: 9,
            internal_run_number: 9,
            provider_source_type: ProviderSourceTypeEnum.TcpMetro,
            cis_trip_number: null,
            vehicle_registration_number: null,
            stop_id: "U713Z101P",
            cis_stop_platform_code: null,
            platform_code: null,
        },
        {
            rt_trip_id: `${today}T10:04:35+02:00_991_294_220901_9_9`,
            sequence: 16,
            arr_delay: -13,
            dep_delay: -13,
            gtfs_route_type: 1,
            gtfs_route_short_name: "A",
            run_number: 9,
            internal_run_number: 9,
            provider_source_type: ProviderSourceTypeEnum.TcpMetro,
            cis_trip_number: null,
            vehicle_registration_number: null,
            stop_id: "U953Z101P",
            cis_stop_platform_code: null,
            platform_code: null,
        },
        {
            rt_trip_id: `${today}T10:05:00Z_2530`,
            sequence: 22,
            arr_delay: 60,
            dep_delay: 35,
            gtfs_route_type: 2,
            gtfs_route_short_name: "S9",
            run_number: null,
            internal_run_number: null,
            provider_source_type: ProviderSourceTypeEnum.Http,
            cis_trip_number: 2530,
            vehicle_registration_number: null,
            stop_id: "U142Z301",
            cis_stop_platform_code: "1A/1",
            platform_code: null,
        },
    ];
}
